# openPilotLog: FirstRunDialog Class Reference

FirstRunDialog Class Reference
Inheritance diagram for FirstRunDialog:

## Public Member Functions

| FirstRunDialog (QWidget *parent=nullptr)

## Protected Member Functions

void | reject () override
void | keyPressEvent (QKeyEvent *keyEvent) override
| Shows the debug widget by pressing <ctrl + t> More...

## Member Function Documentation

## keyPressEvent()

void FirstRunDialog::keyPressEvent | ( | QKeyEvent * | keyEvent | ) |

overrideprotected

Shows the debug widget by pressing <ctrl + t>

keyPressEvent ctrl + t enables debug mode, showing the branch selector which is used to select a git branch other than main for downloading the templates

Parameters

  keyEvent |

The documentation for this class was generated from the following files:

- src/gui/dialogues/firstrundialog.h
- src/gui/dialogues/firstrundialog.cpp